ZipEntryCompression (Gradle API 8.11)

Package org.gradle.api.tasks.bundling

## Enum ZipEntryCompression

- java.lang.Object
- - java.lang.Enum<ZipEntryCompression>
  - - org.gradle.api.tasks.bundling.ZipEntryCompression

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ZipEntryCompression>`

      public enum ZipEntryCompression
      extends java.lang.Enum<ZipEntryCompression>

  Specifies the compression level of an archives contents.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DEFLATED` | Contents are compressed using the 'deflate' algorithm
    `STORED` | Contents are not compressed

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ZipEntryCompression` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ZipEntryCompression[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STORED

          public static final ZipEntryCompression STORED

      Contents are not compressed

    - #### DEFLATED

          public static final ZipEntryCompression DEFLATED

      Contents are compressed using the 'deflate' algorithm

  - ### Method Detail

    - #### values

          public static ZipEntryCompression[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ZipEntryCompression c : ZipEntryCompression.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ZipEntryCompression valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null